Bug 12857 - If a record is locked in a database, then recovery does not complete
If a record is locked in a database, then recovery does not complete
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 04:44 UTC by Amitay Isaacs
Modified: 2017-06-27 10:51 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 (8.73 KB, patch)
2017-06-26 02:19 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-6 (8.65 KB, patch)
2017-06-26 02:19 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-06-22 04:44:21 UTC
There are 2 issues:

1. If recovery helper fails to freeze a database, then it does not ban the node that fails to freeze the database.

2. If node stays in recovery for too long, then it should drop all the IP addresses.

As a result of the 1st problem, CTDB never comes out of recovery and none of the clients can actually get service since all the databases keep getting frozen.

As a result of the 2nd problem, CTDB does not end up droping all the IPs even though it stays in recovery for far too long.  This is very useful to tell the clients that something has gone wrong.
Comment 1 Amitay Isaacs 2017-06-26 02:19:33 UTC
Created attachment 13311 [details]
Patches for v4-5
Comment 2 Amitay Isaacs 2017-06-26 02:19:59 UTC
Created attachment 13312 [details]
Patches for v4-6
Comment 3 Martin Schwenke 2017-06-26 03:39:57 UTC
Hi Karolin,

This is ready for 4.5 and 4.6.

Thanks...
Comment 4 Karolin Seeger 2017-06-26 10:34:27 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-06-27 10:51:44 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!